Ubuntu Script on Centos, error: /lib64/libc.so.6: version `GLIBC_2.25' not found

Issues related to applications and software problems
Post Reply
Pushing Frames
Posts: 1
Joined: 2020/02/18 19:41:30

Ubuntu Script on Centos, error: /lib64/libc.so.6: version `GLIBC_2.25' not found

Post by Pushing Frames » 2020/02/18 19:52:45

Hi,
I bought some proprietary software made for ubuntu and fedora called B-Renderon https://blendermarket.com/products/b-renderon
I am CentOS7 and not very familiar with all of this. I run centOS because of stability of Blackmagics Davinci Resolve, Im running their distro.

When I run the program as admin I get this error code. I hav not been able to find a well documented way to updated GLIBC on my system. I also don't know if it's stored in the same place between Ubuntu and CentOS. any help with this will be appreciated.

[16221] Error loading Python lib '/tmp/_MEIcWTEgE/libpython3.7m.so.1.0': dlopen: /lib64/libc.so.6: version `GLIBC_2.25' not found (required by /tmp/_MEIcWTEgE/libpython3.7m.so.1.0)

Regards,

Nick Alberelli

User avatar
TrevorH
Forum Moderator
Posts: 29487
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Ubuntu Script on Centos, error: /lib64/libc.so.6: version `GLIBC_2.25' not found

Post by TrevorH » 2020/02/19 14:24:31

This is not going to work. You cannot use an application in CentOS 7 that is built to run with glibc 2.25 as ours is 2.17 and will be until the entire distro goes EOL in 2024. You cannot and should not attempt to upgrade glibc on CentOS 7 unless you want to break your entire system beyond repair. Everything in the distro depends on the version of glibc that we ship as part of the distro. We also don't ship python 3.7 - there are python3 packages available but they are 3.6. You will need to rebuild this application on a CentOS 7 system using the CentOS 7 supplied packages to have it work but since this is a commercial application, I suspect you will not be able to do that yourself but will need the vendor to do so. Good luck getting them to do it.
CentOS 6 will die in November 2020 - migrate sooner rather than later!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

stevemowbray
Posts: 509
Joined: 2012/06/26 14:20:47

Re: Ubuntu Script on Centos, error: /lib64/libc.so.6: version `GLIBC_2.25' not found

Post by stevemowbray » 2020/02/19 14:27:06

You could just run that application in a Fedora or Ubuntu virtual machine on top of CentOS.

Post Reply

Return to “CentOS 7 - Software Support”